> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SOPS configuration including public key



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/sops/config
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/sops/config:
    get:
      tags:
        - SOPS API
      summary: Get SOPS configuration including public key
      operationId: get_sops_config_endpoint_api_v1_org_sops_config_get
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSopsConfigResult'
          description: SOPS configuration retrieved
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetSopsConfigResult:
      properties:
        age_public_key:
          title: Age Public Key
          type: string
        enabled:
          title: Enabled
          type: boolean
        initialized:
          title: Initialized
          type: boolean
        organisation_id:
          format: uuid4
          title: Organisation Id
          type: string
      required:
        - organisation_id
        - age_public_key
        - enabled
        - initialized
      title: GetSopsConfigResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````